
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "fencefizz-2_1"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "fencebit-2_1"

	actor[cp_actor_type]			= cat_ground
	actor[cp_launch_hue_shift] = pcolor

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "pulse1", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse2", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse3", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse4", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse5", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse6", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse7", 10.0, 100.0, 0.0, 20.0 )
	c_set_random_anim( "pulse8", 10.0, 100.0, 0.0, 20.0 )


	c_add_particle_to_anim( "pulse1", "partl01", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse2", "partl02", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse3", "partl03", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse4", "partl04", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse5", "partr01", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse6", "partr02", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse7", "partr03", "fencefizz-2_1pulse" )
	c_add_particle_to_anim( "pulse8", "partr04", "fencefizz-2_1pulse" )

